Skip to main content
`Ctrl`+`K`

# DMLabelGetBounds

Return the smallest and largest point in the label

## Synopsis

    #include "petscdmlabel.h"
    #include "petscsection.h"
    PetscErrorCode DMLabelGetBounds(DMLabel label, PetscInt *pStart, PetscInt *pEnd)

Not Collective

## Input Parameter

- label - the `DMLabel`

## Output Parameters

- pStart - The smallest point

- pEnd - The largest point + 1

## Note

This will compute an index for the label if one does not exist.

## See Also

`DMLabel`, `DM`, `DMLabelHasPoint()`, `DMLabelCreateIndex()`, `DMLabelGetValue()`, `DMLabelSetValue()`

## Level

intermediate

## Location

src/dm/label/dmlabel.c

## Examples

src/dm/label/tutorials/ex1.c

Index of all DMLabel routines
Table of Contents for all manual pages
Index of all manual pages